//
//  PaymentEventsStreamHandler.swift
//  appboxo_sdk
//
//  Created by Azamat Kushmanov on 13/10/23.
//

import UIKit
import Flutter

class PaymentEventsStreamHandler: NSObject, FlutterStreamHandler {
    
    var events: FlutterEventSink? = nil
    
    public func onListen(withArguments arguments: Any?, eventSink events: @escaping FlutterEventSink) -> FlutterError? {
        self.events = events
        return nil
    }
    
    public func onCancel(withArguments arguments: Any?) -> FlutterError? {
        self.events = nil
        return nil
    }
}
